FROM alpine:3.7

WORKDIR /app

RUN apk add --no-cache \
        uwsgi-python3 \
        python3

COPY server/main.py main.py
COPY build/index.html index.html

COPY server/requirements.txt requirements.txt
RUN pip3 install --upgrade pip
RUN pip install -r requirements.txt

CMD [ "uwsgi", "--http-socket", "0.0.0.0:3031", \
               "--uid", "uwsgi", \
               "--plugins", "python3", \
               "--protocol", "uwsgi", \
               "--wsgi-file", "main.py" ]
EXPOSE 3031